{ 2D_SPHERE_IN_CYLINDER.PDE

  2D cylindrical (axi-symmetric) model of an empty sphere in a cylindrical box.

}
 
title '2D sphere in a can'
 
coordinates
    ycylinder("R","Z")  { vertical coordinate is cylinder axis }
 
variables
    u
 
definitions
    k = 1
    R0 = 1
    box = 2*R0
 
equations   
    U: div(k*grad(u)) = 0
 
boundaries
    Region 1
        start(0,-box)
        value(u)=0 line to (box,-box)
        natural(u)=0 line to (box,box)
        value(u)=1 line to (0,box)
        natural(u)=0 line to (0,R0)     { cylindrical axis }
            arc(center=0,0) angle=-180  { spherical cutout }
            line to close               { cylindrical axis }
 
monitors
    grid(r,z)
    contour(u)
plots
    grid(r,z)
    contour(u)
 
end "J70a8n+nQUi8sjIiZIpQptZ7c7fYsQJyz2xXhQ6uot2ftlJ3iCYLDFBtuBXEgvdKl1zdUhMP98EswVf55RCIb9enKaxhmxzhPYnA27xWjLFFAztV7MOGrUZq5ubthtFmw05zjJIvCBRtKgdpSxnz4+f7OofuT8l0M02HDicEP90"
