  {  STAGE_VS.PDE  }
  {
    This problem is a modification of Stages.pde in which the VERSUS qualifier
    has been used to change the abcissa of the history plot.
  }

  title 'Staged Problem - Versus parameter'

  select
     stages=3
     errlim = staged(0.01, 0.001, 0.0005)

  Variables
     u

  definitions
     scale = staged(1, 2, 4, 8)     { extra value ignored }
     a = 1/scale

  Initial values
     u = 1 - (x-1)^2 - (y-1)^2

  equations
U:     div(a*grad(u)) + scale*u*dx(u) +4 = 0;

  boundaries
     region 1
        start(0,0)
        value(u)=0  line to (2,0) to (2,2) to (0,2) to close

  monitors
     contour(u)

  plots
     surface(u) report scale as "Scale"
     contour(u) report scale as "Scale"

  histories
     history(integral(u)) versus scale
  end "GVDM+QvI2vElMzC/7U7uRieuwbSoq0dhGeMPYZKyqy0jXTaUsushTdgPlj+BfRcwAF/q1dsjVn1Gzg2OlYthKBNMEQPQC1eDtbPkT3cl7T1ID7mOTJ1rnjZNfuMCiEoGqvPnPYI57jU23bN502OCWqi4X1QBYYjE/HiEZQi1YfE"
